View Single Post
27 Jul 2009  

Win 8 Release candidate 8400


First welocme to sevenforums. We really could use your system specs. You may need to install it in compatability mode f the game is older. to install compat, right click the setup or install file go to properties, and compat tab. thats it. let us know if this doesnt work

My System SpecsSystem Spec